﻿using System.Windows;
using System.Windows.Controls;
using Steema.TeeChart.WPF;

namespace TChartTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private static TChart s_Chart;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void ChartGridLoaded(object sender, RoutedEventArgs e)
        {
            ChartUtils.CreateChartControl(out s_Chart);
            var contentControl = (ContentControl)LogicalTreeHelper.FindLogicalNode((DependencyObject)sender, "ChartContentControl");
            contentControl.Content = s_Chart;
        }
    }
}
